Skip to main content
`Ctrl`+`K`

# DMDAGetDepthStratum

Get the bounds [`start`, `end`) for all points at a certain depth.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetDepthStratum(DM dm, PetscInt depth, PeOp PetscInt *pStart, PeOp PetscInt *pEnd)

Not Collective

## Input Parameters

- dm - The `DMDA` object

- depth - The requested depth

## Output Parameters

- pStart - The first point at this `depth`

- pEnd - One beyond the last point at this `depth`

## Note

See `DMPlexGetDepthStratum()` for the meaning of these values

## See Also

DMPlex: Unstructured Grids, `DM`, `DMDA`, `DMPlexGetDepthStratum()`, `DMPlexGetHeightStratum()`, `DMPlexGetCellTypeStratum()`, `DMPlexGetDepth()`, `DMPlexGetDepthLabel()`, `DMPlexGetPointDepth()`, `DMPlexSymmetrize()`, `DMPlexInterpolate()`, `DMDAGetHeightStratum()`

## Level

developer

## Location

src/dm/impls/da/dalocal.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages